package
{
	import fairygui.GComponent;
	import fairygui.GRoot;
	import fairygui.GTextField;
	import fairygui.RelationType;
	import fairygui.UIPackage;
	
	import starling.events.Event;

	public class MainPanel
	{
		private var _view:GComponent;
		private var _joystick: JoystickModule;
		private var _text: GTextField;
		
		public function MainPanel()
		{
			_view = UIPackage.createObject("Joystick", "Main").asCom;
			_view.setSize(GRoot.inst.width, GRoot.inst.height);
			_view.addRelation(GRoot.inst, RelationType.Size);
			GRoot.inst.addChild(_view);

			this._text = this._view.getChild("n9").asTextField;
			
			this._joystick = new JoystickModule(this._view);
			this._joystick.addEventListener(JoystickModule.JoystickMoving,this.onJoystickMoving);
			this._joystick.addEventListener(JoystickModule.JoystickUp,this.onJoystickUp);
		}
		
		private function onJoystickMoving(evt: Event): void {
			this._text.text = "" + evt.data;
		}
		
		private function onJoystickUp(evt: Event): void {
			this._text.text = "";
		}
	}
}