package
{
	import fairygui.GButton;
	import fairygui.GComponent;
	import fairygui.GImage;
	import fairygui.GRoot;
	import fairygui.RelationType;
	import fairygui.UIPackage;
	
	import starling.animation.IAnimatable;
	import starling.core.Starling;

	public class MainPanel implements IAnimatable
	{
		private var _view:GComponent;
		private var _btn0:GButton;
		private var _mask0:GImage;
		private var _time1:Number;
		
		private var _btn1:GButton;
		private var _mask1:GImage;
		private var _time2:Number;
		
		public function MainPanel()
		{
			_view = UIPackage.createObject("CoolDown", "Main").asCom;
			_view.setSize(GRoot.inst.width, GRoot.inst.height);
			_view.addRelation(GRoot.inst, RelationType.Size);
			GRoot.inst.addChild(_view);

			_btn0 = _view.getChild("b0").asButton;
			_btn0.icon = UIPackage.getItemURL("CoolDown", "k0");
			_time1 = 5;
			_mask0 = _btn0.getChild("mask").asImage;
			
			_btn1 = _view.getChild("b1").asButton;
			_btn1.icon =  UIPackage.getItemURL("CoolDown", "k1");
			_time2 = 10;
			_mask1 = _btn1.getChild("mask").asImage;
			
			Starling.current.juggler.add(this);
		}
		
		public function advanceTime(time:Number):void
		{
			_time1 -= time;
			if (_time1 < 0)
				_time1 = 5;
			_mask0.fillAmount = 1-(5 - _time1) / 5;
			
			_time2 -= time;
			if (_time2 < 0)
				_time2 = 10;
			_btn1.text = "" + Math.round(_time2);
			_mask1.fillAmount = 1-(10 - _time2) / 10;
		}
	}
}