package
{
	import fairygui.UIPackage;
	import fairygui.Window;
	import fairygui.tween.EaseType;
	import fairygui.tween.GTween;

	public class WindowB extends Window
	{
		public function WindowB()
		{
		}
		
		override protected function onInit():void
		{
			this.contentPane = UIPackage.createObject("Basic", "WindowB").asCom;
			this.center();
			
			//弹出窗口的动效已中心为轴心
			this.setPivot(0.5,0.5);
		}
		
		override protected function doShowAnimation():void
		{
			this.setScale(0.1, 0.1);
			GTween.to2(this.scaleX, this.scaleY, 1, 1, 0.3).setTarget(this, this.setScale).setEase(EaseType.QuadOut).onComplete(this.onShown);
		}
		
		override protected function doHideAnimation():void
		{
			GTween.to2(this.scaleX, this.scaleY, 0.1, 0.1, 0.3).setTarget(this, this.setScale).setEase(EaseType.QuadOut).onComplete(this.hideImmediately);
		}
		
		override protected function onShown():void
		{
			contentPane.getTransition("t1").play();	
		}
		
		override protected function onHide():void
		{
			contentPane.getTransition("t1").stop();
		}
	}
}