package
{
	import fairygui.Controller;
	import fairygui.GComponent;

	public class ScrollPaneHeader extends GComponent
	{
		private var _c1:Controller;
	
		public function ScrollPaneHeader()
		{
		}
		
		override protected function constructFromXML(cxml:XML):void
		{
			super.constructFromXML(cxml);
			
			_c1 = this.getController("c1");
			this.addSizeChangeCallback(onSizeChanged);
		}
		
		private function onSizeChanged():void
		{
			if (_c1.selectedIndex == 2 || _c1.selectedIndex == 3)
				return;
			
			if (this.height > this.sourceHeight)
				_c1.selectedIndex = 1;
			else
				_c1.selectedIndex = 0;
		}
		
		public function get readyToRefresh():Boolean
		{
			return _c1.selectedIndex == 1;
		}
		
		public function setRefreshStatus(value:int):void
		{
			_c1.selectedIndex = value;
		}
	}
}