package
{
	import fairygui.Controller;
	import fairygui.GButton;
	import fairygui.GTextField;

	public class MailItem extends GButton
	{
		private var _timeText:GTextField;
		private var _readController:Controller;
		private var _fetchController:Controller;
	
		public function MailItem()
		{
		}
		
		override protected function constructFromXML(cxml:XML):void
		{
			super.constructFromXML(cxml);
			
			_timeText = this.getChild("timeText").asTextField;
			_readController = this.getController("IsRead");
			_fetchController = this.getController("c1");
		}
		
		public function setTime(value:String):void
		{
			_timeText.text = value;
		}
		
		public function setRead(value:Boolean):void
		{
			_readController.selectedIndex = value ? 1 : 0;
		}
		
		public function setFetched(value:Boolean):void
		{
			_fetchController.selectedIndex = value ? 1 : 0;
		}
	}
}